# Mixin: mixins/signalable

## mixins/signalable

Make an object capable of handling a signal. Or many signals.

Source:
  - mixins/signalable.js, line 153

### Extends

- base

### Members

#### autoLoadSignals :boolean

  When true, the class will load the `signals` hash and create the signal definitions during construction

  ##### Type:

  - boolean
  Source:
    - mixins/signalable.js, line 230

#### signals :module:mixins/signalable.SignalOptions

  A hash of signals to create automatically. Each definition consists of a name for the signal as the key and then a hash of options (nullable) for each signal

  ##### Type:

  - module:mixins/signalable.SignalOptions
  Source:
    - mixins/signalable.js, line 238

### Methods

#### refreshSignals()

  When you make a change to the signals hash after loading, then you can make it reload

  Source:
    - mixins/signalable.js, line 165